Name:		googler
Version:	4.3.2
Release:	%mkrel 2
Summary:	Access google search, google site search, google news from the terminal
Group:		Networking/WWW
License:	GPLv3+
URL:		https://github.com/jarun/googler
Source0:	https://github.com/jarun/googler/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:	noarch

BuildRequires:	make

%description
googler is a power tool to access Google (Web & News) websites and Google Site
Search website from the command-line. It shows the title, URL and abstract
for each result, which can be directly opened in a browser from the terminal.
Results are fetched in pages (with page navigation). Supports sequential
searches in a single googler instance.

googler was initially written to cater to headless servers without X. You can
integrate it with a text-based browser. However, it has grown into a very handy
and flexible utility that delivers much more. For example, fetch any number of
results or start anywhere, limit search by any duration, define aliases to
google search any number of websites, switch domains easily... all of this
in a very clean interface without ads or stray URLs. The shell completion
scripts make sure you don't need to remember any options.

googler isn't affiliated to Google in any way.

%prep
%autosetup -p1 -n %{name}-%{version}

sed -i '1s/env //' googler

%build
%__make disable-self-upgrade

%install
%make_install PREFIX=%{_prefix}

install -Dpm0644 -t %{buildroot}%{_datadir}/bash-completion/completions \
  auto-completion/bash/googler-completion.bash
install -Dpm0644 -t %{buildroot}%{_datadir}/fish/vendor_functions.d \
  auto-completion/fish/googler.fish
install -Dpm0644 -t %{buildroot}%{_datadir}/zsh/site-functions \
  auto-completion/zsh/_googler

%files
%doc CHANGELOG README.md
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/bash-completion/completions/googler-completion.bash
%{_datadir}/fish/vendor_functions.d/googler.fish
%{_datadir}/zsh/site-functions/_googler
%{_mandir}/man1/%{name}.1.*


%changelog
* Mon Mar 21 2022 umeabot <umeabot> 4.3.2-2.mga9
+ Revision: 1814026
- Mageia 9 Mass Rebuild

* Thu Feb 25 2021 daviddavid <daviddavid> 4.3.2-1.mga9
+ Revision: 1690660
- new version: 4.3.2

* Wed Oct 21 2020 daviddavid <daviddavid> 4.3.1-1.mga8
+ Revision: 1637480
- new version: 4.3.1

* Wed Jul 29 2020 daviddavid <daviddavid> 4.2-1.mga8
+ Revision: 1609482
- new version: 4.2

* Fri May 01 2020 daviddavid <daviddavid> 4.1-1.mga8
+ Revision: 1577359
- new version: 4.1

* Tue Feb 18 2020 umeabot <umeabot> 4.0-2.mga8
+ Revision: 1538803
- Mageia 8 Mass Rebuild

* Wed Nov 27 2019 daviddavid <daviddavid> 4.0-1.mga8
+ Revision: 1463112
- new version: 4.0

* Sat Jun 29 2019 daviddavid <daviddavid> 3.9-1.mga8
+ Revision: 1415865
- new version: 3.9

* Wed Mar 27 2019 daviddavid <daviddavid> 3.8-1.mga7
+ Revision: 1380661
- new version: 3.8

* Wed Oct 10 2018 daviddavid <daviddavid> 3.7.1-1.mga7
+ Revision: 1319165
- new version: 3.7.1

* Thu Sep 20 2018 umeabot <umeabot> 3.7-2.mga7
+ Revision: 1278632
- Mageia 7 Mass Rebuild

* Sun Sep 16 2018 daviddavid <daviddavid> 3.7-1.mga7
+ Revision: 1259247
- new version: 3.7

* Wed May 23 2018 daviddavid <daviddavid> 3.6-1.mga7
+ Revision: 1231899
- new version: 3.6

* Fri Mar 16 2018 daviddavid <daviddavid> 3.5-1.mga7
+ Revision: 1209798
- initial package googler

